Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.out
Class ByteWName

    java.lang.Object
      com.fasterxml.aalto.out.WName
          com.fasterxml.aalto.out.ByteWName

    public final class ByteWName

extends WName

This class is used to represent all names that are to be serialized to byte streams, independent of specific encoding used (they will be stored on per-encoding symbol tables however).

Field Summary

Fields inherited from class com.fasterxml.aalto.out.WName
`_localName, _prefix`

Constructor Summary
`protected` | `ByteWName(String ln, byte[] bytes)`
`protected` | `ByteWName(String prefix, String ln, byte[] bytes)`

Method Summary
`int` | `appendBytes(byte[] buffer, int offset)`
`int` | `appendChars(char[] buffer, int offset)`
`int` | `serializedLength()`
`void` | `writeBytes(OutputStream out)`
`void` | `writeChars(Writer w)`

Methods inherited from class com.fasterxml.aalto.out.WName
`equals, getLocalName, getPrefix, getPrefixedName, hashCode, hasName, hasName, hasPrefix, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteWName

    protected ByteWName(String ln,
                        byte[] bytes)

### ByteWName

    protected ByteWName(String prefix,
                        String ln,
                        byte[] bytes)

Method Detail

### serializedLength

    public final int serializedLength()

  Specified by:
    `serializedLength` in class `WName`
  Returns:
    Length of full (qualified) name, in native serialization units (bytes or characters)

### appendBytes

    public int appendBytes(byte[] buffer,
                           int offset)

  Specified by:
    `appendBytes` in class `WName`

### writeBytes

    public void writeBytes(OutputStream out)
                    throws IOException

  Specified by:
    `writeBytes` in class `WName`
  Throws:
    `IOException`

### appendChars

    public int appendChars(char[] buffer,
                           int offset)

  Specified by:
    `appendChars` in class `WName`

### writeChars

    public void writeChars(Writer w)
                    throws IOException

  Specified by:
    `writeChars` in class `WName`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Fasterxml.com. All Rights Reserved.